import { z } from 'zod';
import type { Release } from '../types';
export declare const ReleasesIndex: z.ZodEffects<z.ZodObject<{
    'releases-index': z.ZodEffects<z.ZodCatch<z.ZodArray<z.ZodCatch<z.ZodNullable<z.ZodEffects<z.ZodObject<{
        'releases.json': z.ZodString;
    }, "strip", z.ZodTypeAny, {
        'releases.json': string;
    }, {
        'releases.json': string;
    }>, string, {
        'releases.json': string;
    }>>>, "many">>, string[], unknown>;
}, "strip", z.ZodTypeAny, {
    'releases-index': string[];
}, {
    'releases-index'?: unknown;
}>, string[], {
    'releases-index'?: unknown;
}>;
export declare const DotnetSdkReleases: z.ZodEffects<z.ZodObject<{
    releases: z.ZodEffects<z.ZodCatch<z.ZodArray<z.ZodCatch<z.ZodNullable<z.ZodObject<{
        'release-date': z.ZodString;
        'release-notes': z.ZodString;
        sdk: z.ZodObject<{
            version: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            version: string;
        }, {
            version: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        'release-date': string;
        'release-notes': string;
        sdk: {
            version: string;
        };
    }, {
        'release-date': string;
        'release-notes': string;
        sdk: {
            version: string;
        };
    }>>>, "many">>, {
        'release-date': string;
        'release-notes': string;
        sdk: {
            version: string;
        };
    }[], unknown>;
}, "strip", z.ZodTypeAny, {
    releases: {
        'release-date': string;
        'release-notes': string;
        sdk: {
            version: string;
        };
    }[];
}, {
    releases?: unknown;
}>, Release[], {
    releases?: unknown;
}>;
export declare const DotnetRuntimeReleases: z.ZodEffects<z.ZodObject<{
    releases: z.ZodEffects<z.ZodCatch<z.ZodArray<z.ZodCatch<z.ZodNullable<z.ZodObject<{
        'release-date': z.ZodString;
        'release-notes': z.ZodString;
        runtime: z.ZodObject<{
            version: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            version: string;
        }, {
            version: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        runtime: {
            version: string;
        };
        'release-date': string;
        'release-notes': string;
    }, {
        runtime: {
            version: string;
        };
        'release-date': string;
        'release-notes': string;
    }>>>, "many">>, {
        runtime: {
            version: string;
        };
        'release-date': string;
        'release-notes': string;
    }[], unknown>;
}, "strip", z.ZodTypeAny, {
    releases: {
        runtime: {
            version: string;
        };
        'release-date': string;
        'release-notes': string;
    }[];
}, {
    releases?: unknown;
}>, Release[], {
    releases?: unknown;
}>;
